Page MenuHomePhabricator

OCG: Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365
Closed, ResolvedPublic

Description

T124365#2062088 documents the decision of the ArchCom RFC on API content versioning. Accordingly, OCG should add an Accept: header with the current Parsoid HTML version to your API requests for Parsoid HTML.

Details

Related Gerrit Patches:
mediawiki/extensions/Collection/OfflineContentGenerator/bundler : masterSend Accept header to Parsoid/RESTBase to get data-mw attributes inline.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

ssastry created this task.Mar 23 2016, 12:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 12:33 AM

With the next version bump to 1.2.1, we took the opportunity to update the profile header to a valid url with documentation. Please use this instead if you haven't yet implemented this.

'text/html; charset=utf-8; profile="https://www.mediawiki.org/wiki/Specs/HTML/1.2.1"'

Change 284356 had a related patch set uploaded (by Cscott):
Send Accept header to Parsoid/RESTBase to get data-mw attributes inline.

https://gerrit.wikimedia.org/r/284356

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:33 PM

Change 284356 merged by jenkins-bot:
Send Accept header to Parsoid/RESTBase to get data-mw attributes inline.

https://gerrit.wikimedia.org/r/284356

Deployed. Can we verify that Parsoid is seeing the Accept header from OCG now, before I close this task?

ssastry closed this task as Resolved.May 24 2016, 10:59 PM

This goes to RESTBase and is not being passed into Parsoid yet, but I am going to mark this resolved. Can reopen if we see any problems once RB starts acting on these headers.